AsymmetricCipherKeyPair (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.crypto

## Class AsymmetricCipherKeyPair

- java.lang.Object
- - org.bouncycastle.crypto.AsymmetricCipherKeyPair

-     public class AsymmetricCipherKeyPair
      extends java.lang.Object

  a holding class for public/private parameter pairs.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsymmetricCipherKeyPair(AsymmetricKeyParameter publicParam, AsymmetricKeyParameter privateParam)` basic constructor.
    `AsymmetricCipherKeyPair(CipherParameters publicParam, CipherParameters privateParam)` Deprecated. use AsymmetricKeyParameter

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AsymmetricKeyParameter` | `getPrivate()` return the private key parameters.
    `AsymmetricKeyParameter` | `getPublic()` return the public key parameters.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AsymmetricCipherKeyPair

          public AsymmetricCipherKeyPair(AsymmetricKeyParameter publicParam,
                                         AsymmetricKeyParameter privateParam)

      basic constructor.
      Parameters:
        `publicParam` - a public key parameters object.
        `privateParam` - the corresponding private key parameters.

    - #### AsymmetricCipherKeyPair

          @Deprecated
          public AsymmetricCipherKeyPair(CipherParameters publicParam,
                                                     CipherParameters privateParam)

      Deprecated. use AsymmetricKeyParameter
      basic constructor.
      Parameters:
        `publicParam` - a public key parameters object.
        `privateParam` - the corresponding private key parameters.

  - ### Method Detail

    - #### getPublic

          public AsymmetricKeyParameter getPublic()

      return the public key parameters.
      Returns:
        the public key parameters.

    - #### getPrivate

          public AsymmetricKeyParameter getPrivate()

      return the private key parameters.
      Returns:
        the private key parameters.